Package com.io7m.cardant.shell.internal

# Class CAShellCmdBookmarkLogin

java.lang.Object
com.io7m.cardant.shell.internal.CAShellCmdAbstract
com.io7m.cardant.shell.internal.CAShellCmdBookmarkLogin

All Implemented Interfaces:
  `CAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class CAShellCmdBookmarkLogin extends CAShellCmdAbstract
"bookmark-login"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAShellCmdBookmarkLogin(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jline.reader.Completer`
  `completer()`
  `com.io7m.quarrel.core.QCommandStatus`
  `onExecute(com.io7m.quarrel.core.QCommandContextType context)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.cardant.shell.internal.CAShellCmdAbstract

  `client, formatter, loginTracker, metadata, options, preferences, strings, terminal, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### CAShellCmdBookmarkLogin

    public CAShellCmdBookmarkLogin(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    Construct a command.
    Parameters:
      `inServices` - The shell context

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onExecute

    public com.io7m.quarrel.core.QCommandStatus onExecute(com.io7m.quarrel.core.QCommandContextType context) throws Exception
    Throws:
      `Exception`

  - ### completer

    public org.jline.reader.Completer completer()
    Returns:
      A shell command completer for the command